<option type="enum" id="opt/gutenprint-ijs.5.2-stp_enablegrayscale">
  <!-- A multilingual <comments> block can appear here, too;
       it should be treated as documentation for the user. -->
  <arg_longname>
   <en>Gray Density Scale Enable</en>
  </arg_longname>
  <arg_shortname>
   <en>STP_EnableGrayScale</en><!-- backends only know <en> shortnames! -->
  </arg_shortname>
  <arg_execution>
   <arg_group>GutenprintOutputControlExtra5</arg_group>
   <arg_order>1390</arg_order>
   <arg_spot>B</arg_spot>
   <arg_substitution />
   <arg_proto>STP_EnableGrayScale=%s,</arg_proto>
  </arg_execution>

  <constraints>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-Stylus_Photo_2200</printer><!-- gutenprint name: escp2-2200 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-Stylus_Pro_4600</printer><!-- gutenprint name: escp2-4600 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-Stylus_Photo_2100</printer><!-- gutenprint name: escp2-2100 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-PM_4000PX</printer><!-- gutenprint name: escp2-pm4000px -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-PX_7000</printer><!-- gutenprint name: escp2-px7000 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-Stylus_Pro_11600</printer><!-- gutenprint name: escp2-11600 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-Stylus_Pro_4000</printer><!-- gutenprint name: escp2-4000 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-Stylus_Pro_7600</printer><!-- gutenprint name: escp2-7600 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-PX_9000</printer><!-- gutenprint name: escp2-px9000 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
    <constraint sense='true'>
      <driver>gutenprint-ijs.5.2</driver>
      <printer>printer/Epson-Stylus_Pro_9600</printer><!-- gutenprint name: escp2-9600 -->
      <arg_defval>ev/gutenprint-ijs.5.2-Disabled</arg_defval>
    </constraint>
  </constraints>

  <enum_vals>
    <enum_val id='ev/gutenprint-ijs.5.2-Disabled'>
      <ev_longname><en>Disabled</en></ev_longname>
      <ev_shortname><en>Disabled</en></ev_shortname>
      <ev_driverval>Disabled</ev_driverval>
      <constraints>
        <!-- Assume the option doesn't apply... -->
        <constraint sense='false'>
          <driver>gutenprint-ijs.5.2</driver>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-Stylus_Photo_2200 == escp2-2200 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-Stylus_Photo_2200</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-Stylus_Pro_4600 == escp2-4600 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-Stylus_Pro_4600</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-Stylus_Photo_2100 == escp2-2100 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-Stylus_Photo_2100</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PM_4000PX == escp2-pm4000px -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PM_4000PX</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PX_7000 == escp2-px7000 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PX_7000</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-Stylus_Pro_11600 == escp2-11600 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-Stylus_Pro_11600</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-Stylus_Pro_4000 == escp2-4000 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-Stylus_Pro_4000</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-Stylus_Pro_7600 == escp2-7600 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-Stylus_Pro_7600</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PX_9000 == escp2-px9000 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PX_9000</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-Stylus_Pro_9600 == escp2-9600 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-Stylus_Pro_9600</printer>
        </constraint>
      </constraints>
    </enum_val>
    <enum_val id='ev/gutenprint-ijs.5.2-Enabled'>
      <ev_longname><en>Enabled</en></ev_longname>
      <ev_shortname><en>Enabled</en></ev_shortname>
      <ev_driverval>Enabled</ev_driverval>
      <constraints>
        <!-- Assume the option doesn't apply... -->
        <constraint sense='false'>
          <driver>gutenprint-ijs.5.2</driver>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-Stylus_Photo_2200 == escp2-2200 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-Stylus_Photo_2200</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-Stylus_Pro_4600 == escp2-4600 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-Stylus_Pro_4600</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-Stylus_Photo_2100 == escp2-2100 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-Stylus_Photo_2100</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PM_4000PX == escp2-pm4000px -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PM_4000PX</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PX_7000 == escp2-px7000 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PX_7000</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-Stylus_Pro_11600 == escp2-11600 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-Stylus_Pro_11600</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-Stylus_Pro_4000 == escp2-4000 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-Stylus_Pro_4000</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-Stylus_Pro_7600 == escp2-7600 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-Stylus_Pro_7600</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-PX_9000 == escp2-px9000 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-PX_9000</printer>
        </constraint>
        <constraint sense='true'>
          <!-- printer/Epson-Stylus_Pro_9600 == escp2-9600 -->
          <driver>gutenprint-ijs.5.2</driver>
          <printer>printer/Epson-Stylus_Pro_9600</printer>
        </constraint>
      </constraints>
    </enum_val>
  </enum_vals>


</option>
